#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 34. GNOME Applications

- Prev

  Evince-48.1

- Next

  File-Roller-44.6

- Up
- Home

# Evolution-3.60.1

## Introduction to Evolution

The Evolution package contains an integrated mail, calendar and address book suite designed for the GNOME environment.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/evolution/3.60/evolution-3.60.1.tar.xz

- Download MD5 sum: 1e3f5c5133dd9f6cee5987999dcc868f

- Download size: 13 MB

- Estimated disk space required: 297 MB

- Estimated build time: 0.6 SBU (Using parallelism=4)

### Evolution Dependencies

#### Required

adwaita-icon-theme-50.0, evolution-data-server-3.60.1, Gcr-4.4.0.1, gnome-autoar-0.4.5, Intltool-0.51.0, shared-mime-info-2.4, and WebKitGTK-2.52.0

#### Recommended

Bogofilter-1.2.5, enchant-2.8.16, gnome-desktop-44.5, gspell-1.14.3, Highlight-4.19, itstool-2.0.7, libcanberra-0.30, libgweather-4.6.0, libnotify-0.8.8, OpenLDAP-2.6.13, and Seahorse-47.0.1

#### Optional

geocode-glib-3.26.4, and GTK-Doc-1.36.1, clutter-gtk (Contact Maps plugin), cmark, Glade, libchamplain (Contact Maps plugin), libpst, libunity, libytnef

## Installation of Evolution

Install Evolution by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D SYSCONF_INSTALL_DIR=/etc  \
          -D ENABLE_INSTALLED_TESTS=ON \
          -D ENABLE_PST_IMPORT=OFF     \
          -D ENABLE_YTNEF=OFF          \
          -D ENABLE_CONTACT_MAPS=OFF   \
          -D ENABLE_MARKDOWN=OFF       \
          -D ENABLE_WEATHER=ON         \
          -G Ninja .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D ENABLE_YTNEF=OFF`: This switch is used to disable the yTNEF library usage because libytnef is not part of BLFS.

`-D ENABLE_PST_IMPORT=OFF`: This switch is used to disable the pst-import plugin because libpst is not part of BLFS.

`-D ENABLE_CONTACT_MAPS=OFF`: This switch disables building the Contact Maps plugin. Remove this switch if you have installed the necessary dependencies and wish to build the Contact Maps plugin.

`-D ENABLE_MARKDOWN=OFF`: This switch allows building without cmark. Remove this switch if you need markdown support and you have installed the necessary dependency.

`-D ENABLE_WEATHER=ON`: This switch allows building against libgweather-4.6.0.

`-D WITH_HELP=OFF`: This switch disables building the manual of this package. Use this switch if you have not installed itstool-2.0.7.

`-D WITH_OPENLDAP=OFF`: Use this switch if you have not installed OpenLDAP-2.6.13.

## Contents

Installed Programs: evolution
Installed Libraries: None
Installed Directories: /usr/include/evolution, /usr/lib/evolution, /usr/libexec/evolution, /usr/share/evolution, /usr/share/installed-tests/evolution, /usr/share/help/*/evolution, and optionally /usr/share/gtk-doc/html/{evolution-mail-composer,evolution-mail-engine}, /usr/share/gtk-doc/html/{evolution-mail-formatter,evolution-shell}, and /usr/share/gtk-doc/html/evolution-util

### Short Descriptions

evolution | is an email, calendar and address book suite for the GNOME Desktop

- Prev

  Evince-48.1

- Next

  File-Roller-44.6

- Up
- Home